### Xilinx Processor IP Library

<hl>Software Drivers</hl>

Main Page | Data Structures | File List | Data Fields | Globals

# xuartlite_selftest.c File Reference

## Detailed Description

This file contains the self-test functions for the UART Lite component (XUartLite).

     MODIFICATION HISTORY:

     Ver   Who  Date     Changes
     ----- ---- -------- -----------------------------------------------
     1.00a ecm  08/31/01 First release
     1.00b jhl  02/21/02 Repartitioned the driver for smaller files

## Functions

int | XUartLite_SelfTest (XUartLite *InstancePtr)

## Function Documentation

int XUartLite_SelfTest | ( | XUartLite * | InstancePtr | ) |

Runs a self-test on the device hardware. Since there is no way to perform a loopback in the hardware, this test can only check the state of the status register to verify it is correct. This test assumes that the hardware device is still in its reset state, but has been initialized with the Initialize function.

Parameters:

  | InstancePtr | is a pointer to the XUartLite instance.

Returns:
  - XST_SUCCESS if the self-test was successful.
  - XST_FAILURE if the self-test failed, the status register value was not correct

Note:
  None.

Copyright © 1995-2009 Xilinx, Inc. All rights reserved.